
players = {}

function gen_list(address)

	MsgN("querying player list for " .. address)
	
	serverlist.PlayerList(address, function(tab)
	
		table.Empty(players)
		
		for k, v in pairs(tab) do
			players[v.name] = true
		end
		
		PrintTable(players)
		
	end)
	
end

concommand.Add("genlist", function(p,c,a,r) gen_list(r) end)